Mojo: Continuous Delivery for Juju
==================================

Mojo is a system of configuration and tools for verifying the success of Juju
environment deployments. It's available as an open source project under the
GPLv3 license on [Launchpad](https://launchpad.net/mojo).

To get started with mojo, on trusty, utopic or vivid (using the mojo-how-to
spec as an example):

 1. Install Mojo:

        sudo add-apt-repository ppa:mojo-maintainers/ppa
        sudo apt-get update
        sudo apt-get install mojo

 2. Create a project:
 
        sudo mojo project-new --series trusty mojo-how-to
        # Now add the user account in question to the %mojo group

 3. Create a workspace:

        mojo workspace-new --project mojo-how-to --stage=mojo-how-to/devel --series trusty lp:~mojo-maintainers/mojo/mojo-specs mojo-how-to
        # If that fails with a permission denied error on the lxc folder, this is due to a known bug
        # Fix with:
        sudo chmod 755 /var/lib/lxc/mojo-how-to.trusty && sudo chmod 755 /var/lib/lxc
        # Please be aware of
        # https://bugs.launchpad.net/ubuntu/+source/lxc/+bug/1244635 - Mojo
        # will move to non-root LXC for trusty and later, which will provide a
        # longer term fix for this.

 4. Bootstrap your juju environment (not covered here)

 5. Install python-swiftclient which is a dependency of the mojo spec you're about to run:

        sudo apt-get install python-swiftclient

 6. Run your mojo spec to configure your environment as specified in the mojo spec:

        mojo run --project mojo-how-to --series trusty --stage mojo-how-to/devel lp:~mojo-maintainers/mojo/mojo-specs mojo-how-to

For more information on using Mojo see our more detailed [README](readme.html)
or take a look at these articles which originally appeared on [Ubuntu
Insights](https://insights.ubuntu.com):

 * [Introduction to Mojo](mojo-insights-article-introduction.html)
 * [Mojo Deeper Dive](mojo-insights-article-deeper-dive.html)
 * [Mojo Example Deployment](mojo-insights-article-example-deployment.html)

If you're interested in hacking on Mojo, please take a look at our [hacking
page](hacking.html).
