# Copyright 2014 Canonical Ltd.  This software is licensed under the
# GNU General Public License version 3 (see the file LICENSE).
from setuptools import setup, find_packages

long_description = """Mojo is a continuous integration and continuous delivery
system for Juju-based services."""

setup(
    name="mojo",
    version="0.1.16",
    description="A deployment workflow system for Juju",
    long_description=long_description,
    maintainer="Mojo Maintainers",
    maintainer_email="mojo-maintainers@lists.canonical.com",
    url="http://launchpad.net/mojo",
    install_requires=["jujuclient",
                      "juju-deployer",
                      "codetree >= 0.0.3",
                      "python-cinderclient"],
    packages=find_packages(),
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Programming Language :: Python",
        "Topic :: Internet",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Intended Audience :: Developers"],
    test_suite="mojo.tests",
    entry_points={
        "console_scripts": [
            'mojo = mojo.cli:main',
            'mojo-admin = mojo.cli:admin',
            'mojo-info = mojo.info:main',
            'mojo-vol = mojo.volattach:main']},
    include_package_data=True,
)
